Subject: Re: bug#39352: guix pull failing on aarch64

From: Jesse Gibbons <[email-masked]>
Date: Sat, 01 Feb 2020 12:13:30 -0700

On Thu, 2020-01-30 at 00:51 +0000, shtwzrd via Bug reports for GNU Guix
wrote:
> Hey there,
> 
> I've noticed that guix pull has started to hang consistently when
> building guix-system.drv, 55% of the way through.
> 
> I've narrowed the breakage down to this specific commit:
> 
> http://git.savannah.gnu.org/cgit/guix.git/commit/?id=8234fe653e61d0090138cbd4c48d877568355439
> 
> So it appears to be a side effect of the move from guile 2 to guile
> 3?
> 
> Here's the output of guix pull --debug=2
> --
> ...
> 
> 
I've noticed most guix ops (including guix pull) hang on armhf as well,
but I don't have a log to provide.
Right now I'm fine with keeping guix at a stable (but potentially less
secure) commit until the JIT compiler in Guile 3 is fixed and enabled
on ARM.